// File: StartServer.java

public class StartServer
{
    static public void main( String[] args )
    {
        int numeroDiInstanze;

        try
        {
            if (args.length == 0)
                // Per default, vengono attivati 5 oggetti server.
                numeroDiInstanze = 5;
            else
                numeroDiInstanze = Integer.parseInt( args[0] );

            // Inizializza l'ORB
            org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init( args, null );

            // Inizializza il BOA.
            org.omg.CORBA.BOA boa = orb.BOA_init();


            // Crea un'istanza della classe "ObjectManagerImpl"
            dbServer.ObjectManagerImpl oManager =
                new dbServer.ObjectManagerImpl( args, "ObjectManager", numeroDiInstanze );

            // Comunica all'ORB l'esistenza dell'oggetto appena creato.
            boa.obj_is_ready( oManager );

            // Aspetta le chiamate dei client.
            boa.impl_is_ready();

        }
        catch (Exception e)
        {
            System.err.println( e);
        }
    }
}